- Processing
- p5.js
- Processing.py

- Processing Foundation

This reference is for Processing 3.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### room()
Examples |
    import processing.sound.*;

    AudioIn in;
    Reverb reverb;

    void setup() {
      size(640,360);
      background(255);

      // create the input stream
      in = new AudioIn(this, 0);

      // create a reverb effect
      reverb = new Reverb(this);

      // start the input stream
      in.play();

      // Patch the reverb
      reverb.process(in);
      reverb.room(0.5);
    }

    void draw() {
    }
Description | Changes the room size of the reverb
Syntax |
    reverb.room()

Updated on June 20, 2015 10:37:41pm UTC